<!DOCTYPE HTML>
<html>
<head>
    <title>jsChart for Midfin</title>

    <link rel="stylesheet" href="css/jsChart.css" />

    <script src="js/libs/knockout-3.1.0.js"></script>
    <script src="js/libs/underscore-min.js"></script>
    <script src="js/libs/moment.min.js"></script>
    <script src="js/libs/canvasjs.min.js"></script>

    <script src="js/jsChart-vm.js"></script>
    <script src="js/jsChart-data.js"></script>
    <script src="js/jsChart-bindings.js"></script>
</head>
<body>

    <div>
        <label>History Length</label>
        <input data-bind="value: historyLength" />
        <select data-bind="value: historyScope">
            <option value="years">Years</option>
            <option value="months">Months</option>
            <option value="days">Days</option>
            <option value="hours">Hours</option>
            <option value="minutes">Minutes</option>
            <option value="seconds">Seconds</option>
        </select>
    </div>
    <div>
        <label>Update Frequency</label>
        <input data-bind="value: updateFreqMs" />
        <small>milliseconds</small>
    </div>
    <div>
        <label>Samples Per Second</label>
        <input data-bind="value: samplesPerSecond" />
        <small>within each update request</small>
    </div>
    <div>
        <label>Selected Samples</label>
        <span data-bind="text: selectedDataPoints"></span> <small>of <span data-bind="text: totalDataPoints"></span> tracked</small>
    </div>

    <div id="chart" data-bind="chart: selectedData"></div>

    <script>
        // Knockout bindings are applied and maintained over the document when everything is loaded.
        // There is an opportunity to inject a specialized data source into the jsChartVm model on init.
        ko.applyBindings(new jsChartVm(new jsChartData(), function(){
            this.update(5 * 60 * this.samplesPerSecond());
            this.updateFreqMs(3000); // Start automatically updating.
        }));
    </script>

</body>
</html>
